#!/usr/bin/env bash

builduser=${SUDO_USER}
builduseruid=$(id -u ${builduser})
buildusergid=$(id -g ${builduser})

mount -t proc /proc fedora-8/proc
mount -t sysfs /sys fedora-8/sys
mount -o bind /dev fedora-8/dev
cp -f /etc/resolv.conf fedora-8/etc/.
mount --bind src fedora-8/home/${builduser}/src
mount --bind extras fedora-8/home/${builduser}/extras

linux32 chroot --userspec=${builduseruid}:${buildudergid} fedora-8 \
	/bin/env -i \
		USER=${builduser} \
		HOME=/home/${builduser} \
		PATH=/bin:/usr/bin:/sbin:/usr/sbin \
		PS1='\u:\w\$ ' \
		TERM=${TERM} \
	/bin/bash -c \
		"source /etc/profile; \
		cd ~; \
		./payload.sh"

sync
sleep 2
umount -R fedora-8/home/${builduser}/extras
umount -R fedora-8/home/${builduser}/src
umount -R fedora-8/dev
umount -R fedora-8/sys
umount -R fedora-8/proc

cp -f fedora-8/home/${builduser}/uImage_arc_gz_xc5 Elgato_UAB_Boot_Image
