#!/usr/bin/env bash

set -e

builduser="${SUDO_USER}"
builduseruid="$(id -u ${builduser})"
buildusergid="$(id -g ${builduser})"

#cd yumbootstrap
#python2 setup.py install --optimize=1
#mkdir -p /etc/yumbootstrap/suites
#cp -R distros/* /etc/yumbootstrap/suites/.
#cp bin/yumbootstrap /usr/bin/.
#cd ..

linux32 yumbootstrap --verbose fedora-8 fedora-8

linux32 chroot fedora-8 \
	/bin/env -i PATH=/bin:/usr/bin:/sbin:/usr/sbin \
	/bin/bash -c \
		"groupadd -g ${buildusergid} ${builduser}; \
		useradd -u ${builduseruid} -g ${buildusergid} -m -G wheel -s /bin/bash ${builduser} || \
		true"
printf "%%wheel ALL=(ALL) NOPASSWD: ALL\n" >> fedora-8/etc/sudoers
mkdir -p \
	fedora-8/home/${builduser}/extras \
	fedora-8/home/${builduser}/src
cp -f -R initramfs fedora-8/home/${builduser}/.
cp -f payload.sh fedora-8/home/${builduser}/.
chmod 0755 fedora-8/home/${builduser}/payload.sh
chown -R ${builduseruid}:${buildusergid} fedora-8/home/${builduser}
